* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2007-04-24 13:42 jacmet at uclibc.org
0 siblings, 0 replies; 14+ messages in thread
From: jacmet at uclibc.org @ 2007-04-24 13:42 UTC (permalink / raw)
To: buildroot
Author: jacmet
Date: 2007-04-24 06:42:03 -0700 (Tue, 24 Apr 2007)
New Revision: 18516
Log:
Bump version
Modified:
trunk/buildroot/package/dropbear/dropbear.mk
Changeset:
Modified: trunk/buildroot/package/dropbear/dropbear.mk
===================================================================
--- trunk/buildroot/package/dropbear/dropbear.mk 2007-04-24 05:24:08 UTC (rev 18515)
+++ trunk/buildroot/package/dropbear/dropbear.mk 2007-04-24 13:42:03 UTC (rev 18516)
@@ -3,7 +3,7 @@
# dropbear
#
#############################################################
-DROPBEAR_VER:=0.48.1
+DROPBEAR_VER:=0.49
DROPBEAR_SOURCE:=dropbear-$(DROPBEAR_VER).tar.gz
DROPBEAR_SITE:=http://matt.ucc.asn.au/dropbear/releases/
DROPBEAR_DIR:=$(BUILD_DIR)/dropbear-$(DROPBEAR_VER)
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2007-08-11 18:43 ulf at uclibc.org
0 siblings, 0 replies; 14+ messages in thread
From: ulf at uclibc.org @ 2007-08-11 18:43 UTC (permalink / raw)
To: buildroot
Author: ulf
Date: 2007-08-11 11:43:58 -0700 (Sat, 11 Aug 2007)
New Revision: 19433
Log:
Bump dropbear to 0.50, /dev/urandom is now default
Modified:
trunk/buildroot/package/dropbear/Config.in
trunk/buildroot/package/dropbear/dropbear.mk
Changeset:
Modified: trunk/buildroot/package/dropbear/Config.in
===================================================================
--- trunk/buildroot/package/dropbear/Config.in 2007-08-11 18:25:17 UTC (rev 19432)
+++ trunk/buildroot/package/dropbear/Config.in 2007-08-11 18:43:58 UTC (rev 19433)
@@ -5,17 +5,3 @@
A small SSH 2 server designed for small memory environments.
http://matt.ucc.asn.au/dropbear/dropbear.html
-
-config BR2_PACKAGE_DROPBEAR_URANDOM
- bool "Use /dev/urandom (low entropy systems only)?"
- default n
- depends on BR2_PACKAGE_DROPBEAR
- help
- By default, dropbear uses the much more secure /dev/random. If you
- are using a system lacking usable entropy sources, this could cause
- the dropbear ssh daemon to block forever waiting for entropy that
- will never arrive. By making dropbear use /dev/urandom, you can
- prevent Dropbear from blocking while waiting on the random device.
- This could however significantly reduce the security of your ssh
- connections. Make sure you know what you are doing if you enable
- this option -- most people should answer N.
Modified: trunk/buildroot/package/dropbear/dropbear.mk
===================================================================
--- trunk/buildroot/package/dropbear/dropbear.mk 2007-08-11 18:25:17 UTC (rev 19432)
+++ trunk/buildroot/package/dropbear/dropbear.mk 2007-08-11 18:43:58 UTC (rev 19433)
@@ -3,7 +3,7 @@
# dropbear
#
#############################################################
-DROPBEAR_VERSION:=0.49
+DROPBEAR_VERSION:=0.50
DROPBEAR_SOURCE:=dropbear-$(DROPBEAR_VERSION).tar.gz
DROPBEAR_SITE:=http://matt.ucc.asn.au/dropbear/releases/
DROPBEAR_DIR:=$(BUILD_DIR)/dropbear-$(DROPBEAR_VERSION)
@@ -21,7 +21,7 @@
toolchain/patch-kernel.sh $(DROPBEAR_DIR) package/dropbear/ dropbear\*.patch
$(SED) 's,^/\* #define DROPBEAR_MULTI.*,#define DROPBEAR_MULTI,g' $(DROPBEAR_DIR)/options.h
$(CONFIG_UPDATE) $(DROPBEAR_DIR)
- touch $(DROPBEAR_DIR)/.unpacked
+ touch $@
$(DROPBEAR_DIR)/.configured: $(DROPBEAR_DIR)/.unpacked
(cd $(DROPBEAR_DIR); rm -rf config.cache; \
@@ -33,24 +33,12 @@
--host=$(GNU_TARGET_NAME) \
--build=$(GNU_HOST_NAME) \
--prefix=/usr \
- --exec-prefix=/usr \
- --bindir=/usr/bin \
- --sbindir=/usr/sbin \
- --libdir=/lib \
- --libexecdir=/usr/lib \
--sysconfdir=/etc \
- --datadir=/usr/share \
--localstatedir=/var \
- --mandir=/usr/man \
- --infodir=/usr/info \
$(DISABLE_NLS) \
--with-shared \
);
-ifeq ($(strip $(BR2_PACKAGE_DROPBEAR_URANDOM)),y)
- $(SED) 's,^#define DROPBEAR_RANDOM_DEV.*,#define DROPBEAR_RANDOM_DEV \"/dev/urandom\",' \
- $(DROPBEAR_DIR)/options.h
-endif
- touch $(DROPBEAR_DIR)/.configured
+ touch $@
$(DROPBEAR_DIR)/$(DROPBEAR_BINARY): $(DROPBEAR_DIR)/.configured
$(MAKE) $(TARGET_CONFIGURE_OPTS) LD=$(TARGET_CC) \
@@ -58,21 +46,17 @@
MULTI=1 SCPPROGRESS=1 -C $(DROPBEAR_DIR)
$(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY): $(DROPBEAR_DIR)/$(DROPBEAR_BINARY)
- #$(MAKE) DESTDIR=$(TARGET_DIR) $(TARGET_CONFIGURE_OPTS) \
- # LD=$(TARGET_CC) -C $(DROPBEAR_DIR) install
- #rm -rf $(TARGET_DIR)/share/locale $(TARGET_DIR)/usr/info \
- # $(TARGET_DIR)/usr/man $(TARGET_DIR)/usr/share/doc
- install -d -m 755 $(TARGET_DIR)/usr/sbin
- install -d -m 755 $(TARGET_DIR)/usr/bin
- install -m 755 $(DROPBEAR_DIR)/$(DROPBEAR_BINARY) \
+ $(INSTALL) -d -m 755 $(TARGET_DIR)/usr/sbin
+ $(INSTALL) -d -m 755 $(TARGET_DIR)/usr/bin
+ $(INSTALL) -m 755 $(DROPBEAR_DIR)/$(DROPBEAR_BINARY) \
$(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY)
- $(STRIP) $(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY)
+ $(STRIP) --strip-unneeded $(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY)
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/scp
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/ssh
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dbclient
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dropbearkey
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dropbearconvert
- cp $(DROPBEAR_DIR)/S50dropbear $(TARGET_DIR)/etc/init.d/
+ cp -dpf $(DROPBEAR_DIR)/S50dropbear $(TARGET_DIR)/etc/init.d/
chmod a+x $(TARGET_DIR)/etc/init.d/S50dropbear
dropbear: uclibc zlib $(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY)
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2007-09-19 14:11 aldot at uclibc.org
0 siblings, 0 replies; 14+ messages in thread
From: aldot at uclibc.org @ 2007-09-19 14:11 UTC (permalink / raw)
To: buildroot
Author: aldot
Date: 2007-09-19 07:11:28 -0700 (Wed, 19 Sep 2007)
New Revision: 19892
Log:
- need to mkdir etc/init.d. Closes #1465
Modified:
trunk/buildroot/package/dropbear/dropbear.mk
Changeset:
Modified: trunk/buildroot/package/dropbear/dropbear.mk
===================================================================
--- trunk/buildroot/package/dropbear/dropbear.mk 2007-09-19 14:02:53 UTC (rev 19891)
+++ trunk/buildroot/package/dropbear/dropbear.mk 2007-09-19 14:11:28 UTC (rev 19892)
@@ -56,6 +56,7 @@
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dbclient
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dropbearkey
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dropbearconvert
+ mkdir -p $(TARGET_DIR)/etc/init.d
cp -dpf $(DROPBEAR_DIR)/S50dropbear $(TARGET_DIR)/etc/init.d/
chmod a+x $(TARGET_DIR)/etc/init.d/S50dropbear
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2008-03-27 15:59 jacmet at uclibc.org
0 siblings, 0 replies; 14+ messages in thread
From: jacmet at uclibc.org @ 2008-03-27 15:59 UTC (permalink / raw)
To: buildroot
Author: jacmet
Date: 2008-03-27 08:59:39 -0700 (Thu, 27 Mar 2008)
New Revision: 21517
Log:
dropbear: bump version
Modified:
trunk/buildroot/package/dropbear/dropbear.mk
Changeset:
Modified: trunk/buildroot/package/dropbear/dropbear.mk
===================================================================
--- trunk/buildroot/package/dropbear/dropbear.mk 2008-03-27 15:42:42 UTC (rev 21516)
+++ trunk/buildroot/package/dropbear/dropbear.mk 2008-03-27 15:59:39 UTC (rev 21517)
@@ -3,7 +3,7 @@
# dropbear
#
#############################################################
-DROPBEAR_VERSION:=0.50
+DROPBEAR_VERSION:=0.51
DROPBEAR_SOURCE:=dropbear-$(DROPBEAR_VERSION).tar.gz
DROPBEAR_SITE:=http://matt.ucc.asn.au/dropbear/releases/
DROPBEAR_DIR:=$(BUILD_DIR)/dropbear-$(DROPBEAR_VERSION)
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2008-04-08 17:47 nkukard at uclibc.org
2008-04-08 18:59 ` Peter Korsgaard
0 siblings, 1 reply; 14+ messages in thread
From: nkukard at uclibc.org @ 2008-04-08 17:47 UTC (permalink / raw)
To: buildroot
Author: nkukard
Date: 2008-04-08 10:47:29 -0700 (Tue, 08 Apr 2008)
New Revision: 21673
Log:
* Generate keys for dropbear only when starting
* Generate keys silently
Modified:
trunk/buildroot/package/dropbear/dropbear-init.patch
Changeset:
Modified: trunk/buildroot/package/dropbear/dropbear-init.patch
===================================================================
--- trunk/buildroot/package/dropbear/dropbear-init.patch 2008-04-08 14:45:32 UTC (rev 21672)
+++ trunk/buildroot/package/dropbear/dropbear-init.patch 2008-04-08 17:47:29 UTC (rev 21673)
@@ -1,5 +1,6 @@
---- dropbear-0.42/S50dropbear
-+++ dropbear-0.42/S50dropbear
+diff -rNu dropbear-0.51_vanilla/S50dropbear dropbear-0.51_init/S50dropbear
+--- dropbear-0.51_vanilla/S50dropbear 1970-01-01 00:00:00.000000000 +0000
++++ dropbear-0.51_init/S50dropbear 2008-04-08 14:46:53.000000000 +0000
@@ -0,0 +1,56 @@
+#!/bin/sh
+#
@@ -9,24 +10,24 @@
+# Make sure the dropbearkey progam exists
+[ -f /usr/bin/dropbearkey ] || exit 0
+
-+# Check for the Dropbear RSA key
-+if [ ! -f /etc/dropbear/dropbear_rsa_host_key ] ; then
-+ echo Generating RSA Key...
-+ mkdir -p /etc/dropbear
-+ /usr/bin/dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key
-+fi
-+
-+# Check for the Dropbear DSS key
-+if [ ! -f /etc/dropbear/dropbear_dss_host_key ] ; then
-+ echo Generating DSS Key...
-+ mkdir -p /etc/dropbear
-+ /usr/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key
-+fi
-+
-+umask 077
-+
+start() {
+ echo -n "Starting dropbear sshd: "
++ # Make sure dropbear directory exists
++ if [ ! -d /etc/dropbear ] ; then
++ mkdir -p /etc/dropbear
++ fi
++ # Check for the Dropbear RSA key
++ if [ ! -f /etc/dropbear/dropbear_rsa_host_key ] ; then
++ /usr/bin/dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key > /dev/null 2>&1
++ echo -n .
++ fi
++
++ # Check for the Dropbear DSS key
++ if [ ! -f /etc/dropbear/dropbear_dss_host_key ] ; then
++ /usr/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key > /dev/null 2>&1
++ echo -n .
++ fi
++ umask 077
+ start-stop-daemon -S -q -p /var/run/dropbear.pid --exec /usr/sbin/dropbear
+ echo "OK"
+}
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
2008-04-08 17:47 [Buildroot] svn commit: trunk/buildroot/package/dropbear nkukard at uclibc.org
@ 2008-04-08 18:59 ` Peter Korsgaard
2008-04-08 19:17 ` Nigel Kukard
0 siblings, 1 reply; 14+ messages in thread
From: Peter Korsgaard @ 2008-04-08 18:59 UTC (permalink / raw)
To: buildroot
>>>>> "nkukard" == nkukard <nkukard@uclibc.org> writes:
nkukard> Author: nkukard
nkukard> Date: 2008-04-08 10:47:29 -0700 (Tue, 08 Apr 2008)
nkukard> New Revision: 21673
nkukard> Log:
nkukard> * Generate keys for dropbear only when starting
nkukard> * Generate keys silently
Is that good? Generating keys takes a LONG time on most embedded
systems, so having a bit of feedback would be good.
nkukard> Modified:
nkukard> trunk/buildroot/package/dropbear/dropbear-init.patch
Having this init script as a patch is kinda silly, let's simply add it
under package/dropbear and copy it over to TARGET_DIR, E.G. like it's
done for avahi.
(Yes, I know you didn't add the patch in the first place).
--
Bye, Peter Korsgaard
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
2008-04-08 18:59 ` Peter Korsgaard
@ 2008-04-08 19:17 ` Nigel Kukard
2008-04-08 19:32 ` Peter Korsgaard
0 siblings, 1 reply; 14+ messages in thread
From: Nigel Kukard @ 2008-04-08 19:17 UTC (permalink / raw)
To: buildroot
> Is that good? Generating keys takes a LONG time on most embedded
> systems, so having a bit of feedback would be good.
I can add something about generating keys on the same line?
Staring dropbear sshd: generating host keys...OK
how does that look? normal startup would be...
Starting dropbear sshd: OK
> nkukard> Modified:
> nkukard> trunk/buildroot/package/dropbear/dropbear-init.patch
>
> Having this init script as a patch is kinda silly, let's simply add it
> under package/dropbear and copy it over to TARGET_DIR, E.G. like it's
> done for avahi.
>
> (Yes, I know you didn't add the patch in the first place).
Duly noted, will add in my next commit together with a fix for the
above.
-N
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: This is a digitally signed message part
Url : http://busybox.net/lists/buildroot/attachments/20080408/caa944a0/attachment.pgp
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
2008-04-08 19:17 ` Nigel Kukard
@ 2008-04-08 19:32 ` Peter Korsgaard
0 siblings, 0 replies; 14+ messages in thread
From: Peter Korsgaard @ 2008-04-08 19:32 UTC (permalink / raw)
To: buildroot
>>>>> "Nigel" == Nigel Kukard <nkukard@lbsd.net> writes:
>> Is that good? Generating keys takes a LONG time on most embedded
>> systems, so having a bit of feedback would be good.
Nigel> I can add something about generating keys on the same line?
Nigel> Staring dropbear sshd: generating host keys...OK
Nigel> how does that look? normal startup would be...
Nigel> Starting dropbear sshd: OK
Sounds good.
nkukard> Modified:
nkukard> trunk/buildroot/package/dropbear/dropbear-init.patch
>>
>> Having this init script as a patch is kinda silly, let's simply add it
>> under package/dropbear and copy it over to TARGET_DIR, E.G. like it's
>> done for avahi.
>>
>> (Yes, I know you didn't add the patch in the first place).
Nigel> Duly noted, will add in my next commit together with a fix for the
Nigel> above.
Great!
--
Bye, Peter Korsgaard
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2008-04-09 7:35 nkukard at uclibc.org
2008-04-09 22:33 ` Hamish Moffatt
0 siblings, 1 reply; 14+ messages in thread
From: nkukard at uclibc.org @ 2008-04-09 7:35 UTC (permalink / raw)
To: buildroot
Author: nkukard
Date: 2008-04-09 00:35:12 -0700 (Wed, 09 Apr 2008)
New Revision: 21679
Log:
* Removed dropbear init patch
* Added dropbear init script
* Added more verbose messages about key generation
Added:
trunk/buildroot/package/dropbear/S50dropbear
Removed:
trunk/buildroot/package/dropbear/dropbear-init.patch
Modified:
trunk/buildroot/package/dropbear/dropbear.mk
Changeset:
Added: trunk/buildroot/package/dropbear/S50dropbear
===================================================================
--- trunk/buildroot/package/dropbear/S50dropbear (rev 0)
+++ trunk/buildroot/package/dropbear/S50dropbear 2008-04-09 07:35:12 UTC (rev 21679)
@@ -0,0 +1,56 @@
+#!/bin/sh
+#
+# Starts dropbear sshd.
+#
+
+# Make sure the dropbearkey progam exists
+[ -f /usr/bin/dropbearkey ] || exit 0
+
+start() {
+ echo -n "Starting dropbear sshd: "
+ # Make sure dropbear directory exists
+ if [ ! -d /etc/dropbear ] ; then
+ mkdir -p /etc/dropbear
+ fi
+ # Check for the Dropbear RSA key
+ if [ ! -f /etc/dropbear/dropbear_rsa_host_key ] ; then
+ echo -n "generating rsa key... "
+ /usr/bin/dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key > /dev/null 2>&1
+ fi
+
+ # Check for the Dropbear DSS key
+ if [ ! -f /etc/dropbear/dropbear_dss_host_key ] ; then
+ echo -n "generating dsa key... "
+ /usr/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key > /dev/null 2>&1
+ fi
+ umask 077
+ start-stop-daemon -S -q -p /var/run/dropbear.pid --exec /usr/sbin/dropbear
+ echo "OK"
+}
+stop() {
+ echo -n "Stopping dropbear sshd: "
+ start-stop-daemon -K -q -p /var/run/dropbear.pid
+ echo "OK"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+
Deleted: trunk/buildroot/package/dropbear/dropbear-init.patch
===================================================================
--- trunk/buildroot/package/dropbear/dropbear-init.patch 2008-04-09 07:02:20 UTC (rev 21678)
+++ trunk/buildroot/package/dropbear/dropbear-init.patch 2008-04-09 07:35:12 UTC (rev 21679)
@@ -1,60 +0,0 @@
-diff -rNu dropbear-0.51_vanilla/S50dropbear dropbear-0.51_init/S50dropbear
---- dropbear-0.51_vanilla/S50dropbear 1970-01-01 00:00:00.000000000 +0000
-+++ dropbear-0.51_init/S50dropbear 2008-04-08 14:46:53.000000000 +0000
-@@ -0,0 +1,56 @@
-+#!/bin/sh
-+#
-+# Starts dropbear sshd.
-+#
-+
-+# Make sure the dropbearkey progam exists
-+[ -f /usr/bin/dropbearkey ] || exit 0
-+
-+start() {
-+ echo -n "Starting dropbear sshd: "
-+ # Make sure dropbear directory exists
-+ if [ ! -d /etc/dropbear ] ; then
-+ mkdir -p /etc/dropbear
-+ fi
-+ # Check for the Dropbear RSA key
-+ if [ ! -f /etc/dropbear/dropbear_rsa_host_key ] ; then
-+ /usr/bin/dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key > /dev/null 2>&1
-+ echo -n .
-+ fi
-+
-+ # Check for the Dropbear DSS key
-+ if [ ! -f /etc/dropbear/dropbear_dss_host_key ] ; then
-+ /usr/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key > /dev/null 2>&1
-+ echo -n .
-+ fi
-+ umask 077
-+ start-stop-daemon -S -q -p /var/run/dropbear.pid --exec /usr/sbin/dropbear
-+ echo "OK"
-+}
-+stop() {
-+ echo -n "Stopping sshd: "
-+ start-stop-daemon -K -q -p /var/run/dropbear.pid
-+ echo "OK"
-+}
-+restart() {
-+ stop
-+ start
-+}
-+
-+case "$1" in
-+ start)
-+ start
-+ ;;
-+ stop)
-+ stop
-+ ;;
-+ restart|reload)
-+ restart
-+ ;;
-+ *)
-+ echo $"Usage: $0 {start|stop|restart}"
-+ exit 1
-+esac
-+
-+exit $?
-+
Modified: trunk/buildroot/package/dropbear/dropbear.mk
===================================================================
--- trunk/buildroot/package/dropbear/dropbear.mk 2008-04-09 07:02:20 UTC (rev 21678)
+++ trunk/buildroot/package/dropbear/dropbear.mk 2008-04-09 07:35:12 UTC (rev 21679)
@@ -57,8 +57,7 @@
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dropbearkey
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dropbearconvert
mkdir -p $(TARGET_DIR)/etc/init.d
- cp -dpf $(DROPBEAR_DIR)/S50dropbear $(TARGET_DIR)/etc/init.d/
- chmod a+x $(TARGET_DIR)/etc/init.d/S50dropbear
+ $(INSTALL) -m 755 package/dropbear/S50dropbear $(TARGET_DIR)/etc/init.d/S50dropbear
dropbear: uclibc zlib $(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY)
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
2008-04-09 7:35 nkukard at uclibc.org
@ 2008-04-09 22:33 ` Hamish Moffatt
2008-04-10 7:03 ` Peter Korsgaard
0 siblings, 1 reply; 14+ messages in thread
From: Hamish Moffatt @ 2008-04-09 22:33 UTC (permalink / raw)
To: buildroot
On Wed, Apr 09, 2008 at 12:35:13AM -0700, nkukard at uclibc.org wrote:
> Author: nkukard
> Date: 2008-04-09 00:35:12 -0700 (Wed, 09 Apr 2008)
> New Revision: 21679
>
> Log:
> * Removed dropbear init patch
> * Added dropbear init script
> * Added more verbose messages about key generation
>
>
> Added:
> trunk/buildroot/package/dropbear/S50dropbear
How about a configuration item to control installation of the init
script? I want to start dropbear from inetd instead.
Hamish
--
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
2008-04-09 22:33 ` Hamish Moffatt
@ 2008-04-10 7:03 ` Peter Korsgaard
0 siblings, 0 replies; 14+ messages in thread
From: Peter Korsgaard @ 2008-04-10 7:03 UTC (permalink / raw)
To: buildroot
>>>>> "Hamish" == Hamish Moffatt <hamish@cloud.net.au> writes:
Hi,
>> Added:
>> trunk/buildroot/package/dropbear/S50dropbear
Hamish> How about a configuration item to control installation of the init
Hamish> script? I want to start dropbear from inetd instead.
Hmm, we would need to handle than more generically than just for
dropbear. Do you use a custom device_table.txt? Maybe the easiest is
simply to remove the execute permission on the init script with the
device table, then your rcS shouldn't run it.
--
Bye, Peter Korsgaard
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2008-06-30 13:35 jacmet at uclibc.org
0 siblings, 0 replies; 14+ messages in thread
From: jacmet at uclibc.org @ 2008-06-30 13:35 UTC (permalink / raw)
To: buildroot
Author: jacmet
Date: 2008-06-30 06:35:14 -0700 (Mon, 30 Jun 2008)
New Revision: 22575
Log:
dropbear: look for xauth in /usr/bin
The xauth package installs into /usr/bin, so look for it there.
Modified:
trunk/buildroot/package/dropbear/dropbear.mk
Changeset:
Modified: trunk/buildroot/package/dropbear/dropbear.mk
===================================================================
--- trunk/buildroot/package/dropbear/dropbear.mk 2008-06-30 13:30:21 UTC (rev 22574)
+++ trunk/buildroot/package/dropbear/dropbear.mk 2008-06-30 13:35:14 UTC (rev 22575)
@@ -20,6 +20,7 @@
$(DROPBEAR_CAT) $(DL_DIR)/$(DROPBEAR_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
toolchain/patch-kernel.sh $(DROPBEAR_DIR) package/dropbear/ dropbear\*.patch
$(SED) 's,^/\* #define DROPBEAR_MULTI.*,#define DROPBEAR_MULTI,g' $(DROPBEAR_DIR)/options.h
+ $(SED) 's,^#define XAUTH_COMMAND.*/xauth,#define XAUTH_COMMAND "/usr/bin/xauth,g' $(DROPBEAR_DIR)/options.h
$(CONFIG_UPDATE) $(DROPBEAR_DIR)
touch $@
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2008-11-14 8:47 jacmet at uclibc.org
0 siblings, 0 replies; 14+ messages in thread
From: jacmet at uclibc.org @ 2008-11-14 8:47 UTC (permalink / raw)
To: buildroot
Author: jacmet
Date: 2008-11-14 00:47:04 -0800 (Fri, 14 Nov 2008)
New Revision: 24036
Log:
dropbear: bump version
Modified:
trunk/buildroot/package/dropbear/dropbear.mk
Changeset:
Modified: trunk/buildroot/package/dropbear/dropbear.mk
===================================================================
--- trunk/buildroot/package/dropbear/dropbear.mk 2008-11-14 00:37:48 UTC (rev 24035)
+++ trunk/buildroot/package/dropbear/dropbear.mk 2008-11-14 08:47:04 UTC (rev 24036)
@@ -3,7 +3,7 @@
# dropbear
#
#############################################################
-DROPBEAR_VERSION:=0.51
+DROPBEAR_VERSION:=0.52
DROPBEAR_SOURCE:=dropbear-$(DROPBEAR_VERSION).tar.gz
DROPBEAR_SITE:=http://matt.ucc.asn.au/dropbear/releases/
DROPBEAR_DIR:=$(BUILD_DIR)/dropbear-$(DROPBEAR_VERSION)
^ permalink raw reply [flat|nested] 14+ messages in thread
* [Buildroot] svn commit: trunk/buildroot/package/dropbear
@ 2008-11-14 11:06 correa at uclibc.org
0 siblings, 0 replies; 14+ messages in thread
From: correa at uclibc.org @ 2008-11-14 11:06 UTC (permalink / raw)
To: buildroot
Author: correa
Date: 2008-11-14 03:06:01 -0800 (Fri, 14 Nov 2008)
New Revision: 24038
Log:
Fix build. Use TARGET_CONFIGURE_OPTS as environment rather than as argument of make to avoid overwriting dropbear's CFLAGS
Modified:
trunk/buildroot/package/dropbear/dropbear.mk
Changeset:
Modified: trunk/buildroot/package/dropbear/dropbear.mk
===================================================================
--- trunk/buildroot/package/dropbear/dropbear.mk 2008-11-14 10:06:44 UTC (rev 24037)
+++ trunk/buildroot/package/dropbear/dropbear.mk 2008-11-14 11:06:01 UTC (rev 24038)
@@ -42,7 +42,7 @@
touch $@
$(DROPBEAR_DIR)/$(DROPBEAR_BINARY): $(DROPBEAR_DIR)/.configured
- $(MAKE) $(TARGET_CONFIGURE_OPTS) LD=$(TARGET_CC) \
+ $(TARGET_CONFIGURE_OPTS) $(MAKE) LD=$(TARGET_CC) \
PROGRAMS="dropbear dbclient dropbearkey dropbearconvert scp" \
MULTI=1 SCPPROGRESS=1 -C $(DROPBEAR_DIR)
^ permalink raw reply [flat|nested] 14+ messages in thread
end of thread, other threads:[~2008-11-14 11:06 UTC | newest]
Thread overview: 14+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2008-04-08 17:47 [Buildroot] svn commit: trunk/buildroot/package/dropbear nkukard at uclibc.org
2008-04-08 18:59 ` Peter Korsgaard
2008-04-08 19:17 ` Nigel Kukard
2008-04-08 19:32 ` Peter Korsgaard
-- strict thread matches above, loose matches on Subject: below --
2008-11-14 11:06 correa at uclibc.org
2008-11-14 8:47 jacmet at uclibc.org
2008-06-30 13:35 jacmet at uclibc.org
2008-04-09 7:35 nkukard at uclibc.org
2008-04-09 22:33 ` Hamish Moffatt
2008-04-10 7:03 ` Peter Korsgaard
2008-03-27 15:59 jacmet at uclibc.org
2007-09-19 14:11 aldot at uclibc.org
2007-08-11 18:43 ulf at uclibc.org
2007-04-24 13:42 jacmet at uclibc.org
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox